commit:     f430a2c2b7860903c8b5635dbaac3a28bd8d8fa2
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 25 13:54:18 2017 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 13:56:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f430a2c2

gnustep-libs/dbuskit: support latest gnustep-base

Garbage collection support was dropped
Update ebuild EAPI

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 gnustep-libs/dbuskit/dbuskit-0.1.1-r1.ebuild       | 35 ++++++++++++++++++++++
 .../dbuskit/files/dbuskit-0.1.1-remove_gc.patch    | 29 ++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/gnustep-libs/dbuskit/dbuskit-0.1.1-r1.ebuild 
b/gnustep-libs/dbuskit/dbuskit-0.1.1-r1.ebuild
new file mode 100644
index 00000000000..de48698483f
--- /dev/null
+++ b/gnustep-libs/dbuskit/dbuskit-0.1.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools gnustep-2
+
+DESCRIPTION="framework that interfaces Objective-C applications with the D-Bus 
IPC service"
+HOMEPAGE="http://www.gnustep.org";
+SRC_URI="http://download.gna.org/gnustep/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND=">=sys-apps/dbus-1.2.1"
+RDEPEND="${DEPEND}"
+
+PATCHES=( ${FILESDIR}/${P}-remove_gc.patch )
+
+src_prepare() {
+       default
+
+       if ! use doc; then
+               # Remove doc target
+               sed -i -e "/SUBPROJECTS/s/Documentation//" GNUmakefile \
+                       || die "doc sed failed"
+       fi
+
+       # Bug 410697
+       sed -e "s#ObjectiveC2/runtime.h#ObjectiveC2/objc/runtime.h#" \
+               -i configure.ac || die "ObjectiveC2 runtime sed failed"
+
+       eautoreconf
+}

diff --git a/gnustep-libs/dbuskit/files/dbuskit-0.1.1-remove_gc.patch 
b/gnustep-libs/dbuskit/files/dbuskit-0.1.1-remove_gc.patch
new file mode 100644
index 00000000000..cc20e8dbe16
--- /dev/null
+++ b/gnustep-libs/dbuskit/files/dbuskit-0.1.1-remove_gc.patch
@@ -0,0 +1,29 @@
+--- trunk/Source/DKNotificationCenter.m        2016/03/26 05:10:00     39611
++++ trunk/Source/DKNotificationCenter.m        2016/03/28 06:16:41     39612
+@@ -519,7 +519,7 @@
+   {
+     return nil;
+   }
+-  observer = GS_GC_HIDE(anObserver);
++  observer = anObserver;
+   selector = aSelector;
+ 
+   // Make sure the necessary components are there and that the selector takes 
a
+@@ -535,7 +535,7 @@
+ 
+ - (id)observer
+ {
+-  return GS_GC_UNHIDE(observer);
++  return observer;
+ }
+ 
+ - (SEL)selector
+@@ -561,7 +561,7 @@
+   // callback and need to avoid the reentrancy. We do this by scheduling
+   // delivery of the notification on the run loop.
+   [[NSRunLoop currentRunLoop] performSelector: selector
+-                                      target: GS_GC_UNHIDE(observer)
++                                      target: observer
+                                   argument: notification
+                                      order: UINT_MAX
+                                      modes: [NSArray arrayWithObject: 
NSDefaultRunLoopMode]];

Reply via email to